Subject: Re: Database Over Flow Doubt

From: mohit gurnani <[email-masked]>
Date: Tue, 25 Jun 2002 06:23:25 +0530

Hi Amit,

The external LSAs are originated by scanning through external (non-OSPF) routes and applying filtering policies to filter out routes which cannot be imported. All the routes that pass policies are imported in form of external LSAs.

Now when the system goes into overflow, the non-default self-originated LSAs are flushed and subsequently deleted from the database. You are right when you say it is a bad idea to maintain the log. It will defeat the whole purpose of Overflow implementation which aims at clearing up memory.What is advisable instead to delete all LSAs once acknowledged, and when the Overflow Exit Timer expires, scan through all the external routes once again, apply policy rules and re-import routes that pass policy.

Regards

Mohit

>From: Amit Srivastava

>Reply-To: Mailing List

>To: [email-masked]

>Subject: Database Over Flow Doubt

>Date: Sun, 23 Jun 2002 23:02:19 -0700

>Hi Vishwas!!

> I have one more doubt the RFC 1765 say in example

>(section 3) that when the OSPF timer expires then it

>tries to come out of the database overflow state and

>originates all the 400 non default AS-Exteranl LSA.Is

>it that before flushing the LSA it keeps the LSA in a

>linklist form and after the timer expires it

>originates the LSA again!!If this is the case then i

>have small doubt :-

> We have flushed the link state database

>because we think that we cannot accomodate any other

>LSA.Now keeping the log of all the flushed LSA would

>not be a good idea what i feel!!!

>What do u say??

>Regards

>Amit

>--- "Manral, Vishwas" wrote:

> > Amit,

> > When the administrator finds that a domain is

> > getting "Overflows" he has to

> > change the policies so that the number of routes

> > imported into the domain is

> > reduced. The routes to be imported are all an

> > administrative

> > decision/policies and the OSPF packets etc do not

> > come into picture at all.

> > The RFC in this point talks about importing routes

> > from other domains and

> > not about received LSA's from other routers in the

> > domain.

> > Thanks,

> > Vishwas

> > -----Original Message-----

> > From: Amit Srivastava [mailto:[email-masked]]

> > Sent: Friday, June 21, 2002 4:35 PM

> > To: [email-masked]

> > Subject: Re: OSPF Retransmission Doubt

> > Hi Vishwas!!

> > The RFC 1765 section 4 last point states that

> > if

> > the administrator cannot incresase the value of

> > ospfExtlsdbLimit then he can make sure that more

> > important routes continue to be imported ; this is

> > accomplished by turning off the importing of less

> > important routes.

> > Now my doubt is ->is it that the administrator

> > configures paticular n/w coming in the AS-external

> > packet as important or unimportant or does it mean

> > that routes learned by a paticular router-id are

> > important and will stay in the database while all

> > the

> > others will be flushed or is it implementation

> > specific!!!

> > Regards

> > Amit

> > --- "Manral, Vishwas" wrote:

> > > Hi Amit,

> > > The case would not occur if all the routers would

> > > have the same value of

> > > ExtLSDBLimit except in the transient condition.

> > > Section 2.2 first part would

> > > only occur if the value is not the same this may

> > be

> > > required. Its always

> > > better to check the condition, if we are exceeding

> > > the limit and accordingly

> > > take action to get over any such a case.

> > > Section 2.3 states that the flooding modification

> > > would only be invoked

> > > during a "short period of convergence" for same

> > > value of LSDBLimit. Such a

> > > case would only occur say when two routers are

> > > symultaneously originating

> > > AS-External LSA's. So when they are originating

> > the

> > > LSA's the LSDB limit is

> > > not exceeded however when they are receiving the

> > > LSA's from the other the

> > > LSDB limit is exceeded. However as the RFC states

> > > this would be a transient

> > > condition.

> > > Thanks,

> > > Vishwas

> > > -----Original Message-----

> > > From: Amit Srivastava [mailto:[email-masked]]

> > > Sent: Thursday, June 20, 2002 10:24 AM

> > > To: [email-masked]

> > > Subject: Re: OSPF Retransmission Doubt

> > > Hi Vishwas,

> > > I have a small doubt .If u refer to section 2.2

> > > and

> > > 2.3 of RFC 1765 it states that during flooding

> > also

> > > the variable count of non-default AS_external LSA

> > is

> > > incremented( if we receive a non-default

> > AS-external

> > > LSA during flooding).But if we have a common

> > thresh

> > > hold limit i.e variable ospfExtlsdbLimit is same

> > for

> > > all the router how come this condition will be

> > > encountered???

> > > Regards

> > > Amit

> > > --- "Manral, Vishwas"

> > wrote:

> > > > Hi Amit,

> > > > I do not think any RFC which talks about

> > > non-default

> > > > type-3 LSA's exists.

> > > > The RFC1765 only talks about type-5 LSA's

> > however

> > > it

> > > > could be extended for

> > > > other type of LSA's i.e. type-7, type-11.

> > > > Thanks,

> > > > Vishwas

> > > > -----Original Message-----

> > > > From: Amit Srivastava

> > [mailto:[email-masked]]

> > > > Sent: Wednesday, June 19, 2002 11:43 AM

> > > > To: [email-masked]

> > > > Subject: Re: OSPF Retransmission Doubt

> > > > Hi Erblich and Vishwas,

> > > > Erblich I got your point but is there any

> > > > Draft or RFC which

> > > > states

> > > > this??

> > > > And Vishwas thanks for your help i would

> > also

> > > > like to know if

> > > > there is any draft which states that we can

> > > withdraw

> > > > Summary 3 and 4

> > > > non-default LSA.Because The RFC 2370 specks very

> > > > little about it.

> > > > Regards

> > > > Amit

> > > > Amit Srivastava wrote:

> > > > Hi Vishwas!

> > > > Actually after reading the RFC 1765

> > only

> > > i

> > > > got this doubt.Here i

> > > > feel once the OSPFEXTLSDBLinit variable is

> > > exceeded

> > > > the router should

> > > > indicate other routers that its database is full

> > > and

> > > > they should not keep on

> > > > retransmitting the LSA which will clog the n/w

> > > > bandwidth.Once the router

> > > > comes out of the database overflow state it

> > should

> > > > indicate to the other

> > > > router that now they should send the LSA.

> > > > What do you say about this??

> > > > Regards

> > > > Amit

> > > > "Manral, Vishwas"

> > wrote:

> > > > Hi Amit,

> > > > You may like to look at the RFC1765 - OSPF

> > > Database

> > > > Overflow.

> > > > http://www.ietf.org/rfc/rfc1765.txt This RFC

> > tells

> > > a

> > > > way to deal with such

> > > > overflow when it occurs in OSPF.

> > > > Also as the RFC lists as enhancements, if the

> > > number

> > > > of summary LSA's

>=== message truncated ===

>__________________________________________________

>Do You Yahoo!?

>Yahoo! - Official partner of 2002 FIFA World Cup

>http://fifaworldcup.yahoo.com

Get your FREE download of MSN Explorer at http://explorer.msn.com.

---

From: Amit Srivastava <[email-masked]>
Date: Mon, 24 Jun 2002 22:09:42 -0700

Hi Mohit!!
     could you please explain your answer (i mean the
last two lines).Sorry i could not get you!!
Regards
Amit
--- mohit gurnani <[email-masked]> wrote:

<HR>
<html><div style='background-color:'>
<DIV>
<P>Hi Amit,</P>
<P>&nbsp;&nbsp;&nbsp; The external LSAs are originated
by scanning through external (non-OSPF) routes and
applying filtering policies to filter out routes which
cannot be imported. All the routes that pass policies
are imported in form of external LSAs.</P>
<P>&nbsp;&nbsp;&nbsp; Now when the system goes into
overflow, the non-default self-originated LSAs are
flushed and subsequently deleted from the database.
You are right when you say it is a bad idea to
maintain the log. It will defeat the whole purpose of
Overflow implementation which aims at clearing up
memory.What is advisable instead to delete all LSAs
once acknowledged, and when the Overflow Exit Timer
expires, scan through all the external routes once
again, apply policy rules and re-import routes that
pass policy.</P>
<P>&nbsp;</P>
<P>Regards</P>
<P>Mohit<BR><BR></P></DIV>
<DIV></DIV>
<DIV></DIV>&gt;From: Amit
Srivastava<[email-masked]>
<DIV></DIV>&gt;Reply-To: Mailing
List<[email-masked]>
<DIV></DIV>&gt;To: [email-masked]
<DIV></DIV>&gt;Subject: Database Over Flow Doubt
<DIV></DIV>&gt;Date: Sun, 23 Jun 2002 23:02:19 -0700
<DIV></DIV>&gt;
<DIV></DIV>&gt;Hi Vishwas!!
<DIV></DIV>&gt; I have one more doubt the RFC 1765 say
in example
<DIV></DIV>&gt;(section 3) that when the OSPF timer
expires then it
<DIV></DIV>&gt;tries to come out of the database
overflow state and
<DIV></DIV>&gt;originates all the 400 non default
AS-Exteranl LSA.Is
<DIV></DIV>&gt;it that before flushing the LSA it
keeps the LSA in a
<DIV></DIV>&gt;linklist form and after the timer
expires it
<DIV></DIV>&gt;originates the LSA again!!If this is
the case then i
<DIV></DIV>&gt;have small doubt :-
<DIV></DIV>&gt; We have flushed the link state
database
<DIV></DIV>&gt;because we think that we cannot
accomodate any other
<DIV></DIV>&gt;LSA.Now keeping the log of all the
flushed LSA would
<DIV></DIV>&gt;not be a good idea what i feel!!!
<DIV></DIV>&gt;What do u say??
<DIV></DIV>&gt;Regards
<DIV></DIV>&gt;Amit
<DIV></DIV>&gt;
<DIV></DIV>&gt;--- &quot;Manral,
Vishwas&quot;<[email-masked]> wrote:
<DIV></DIV>&gt; &gt; Amit,
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt; When the administrator finds that
a domain is
<DIV></DIV>&gt; &gt; getting &quot;Overflows&quot; he
has to
<DIV></DIV>&gt; &gt; change the policies so that the
number of routes
<DIV></DIV>&gt; &gt; imported into the domain is
<DIV></DIV>&gt; &gt; reduced. The routes to be
imported are all an
<DIV></DIV>&gt; &gt; administrative
<DIV></DIV>&gt; &gt; decision/policies and the OSPF
packets etc do not
<DIV></DIV>&gt; &gt; come into picture at all.
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt; The RFC in this point talks about
importing routes
<DIV></DIV>&gt; &gt; from other domains and
<DIV></DIV>&gt; &gt; not about received LSA's from
other routers in the
<DIV></DIV>&gt; &gt; domain.
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt; Thanks,
<DIV></DIV>&gt; &gt; Vishwas
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt; -----Original Message-----
<DIV></DIV>&gt; &gt; From: Amit Srivastava
[mailto:[email-masked]]
<DIV></DIV>&gt; &gt; Sent: Friday, June 21, 2002 4:35
PM
<DIV></DIV>&gt; &gt; To: [email-masked]
<DIV></DIV>&gt; &gt; Subject: Re: OSPF Retransmission
Doubt
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt; Hi Vishwas!!
<DIV></DIV>&gt; &gt; The RFC 1765 section 4 last point
states that
<DIV></DIV>&gt; &gt; if
<DIV></DIV>&gt; &gt; the administrator cannot
incresase the value of
<DIV></DIV>&gt; &gt; ospfExtlsdbLimit then he can make
sure that more
<DIV></DIV>&gt; &gt; important routes continue to be
imported ; this is
<DIV></DIV>&gt; &gt; accomplished by turning off the
importing of less
<DIV></DIV>&gt; &gt; important routes.
<DIV></DIV>&gt; &gt; Now my doubt is -&gt;is it that
the administrator
<DIV></DIV>&gt; &gt; configures paticular n/w coming
in the AS-external
<DIV></DIV>&gt; &gt; packet as important or
unimportant or does it mean
<DIV></DIV>&gt; &gt; that routes learned by a
paticular router-id are
<DIV></DIV>&gt; &gt; important and will stay in the
database while all
<DIV></DIV>&gt; &gt; the
<DIV></DIV>&gt; &gt; others will be flushed or is it
implementation
<DIV></DIV>&gt; &gt; specific!!!
<DIV></DIV>&gt; &gt; Regards
<DIV></DIV>&gt; &gt; Amit
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt; &gt; --- &quot;Manral,
Vishwas&quot;<[email-masked]> wrote:
<DIV></DIV>&gt; &gt; &gt; Hi Amit,
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; The case would not occur if
all the routers would
<DIV></DIV>&gt; &gt; &gt; have the same value of
<DIV></DIV>&gt; &gt; &gt; ExtLSDBLimit except in the
transient condition.
<DIV></DIV>&gt; &gt; &gt; Section 2.2 first part would
<DIV></DIV>&gt; &gt; &gt; only occur if the value is
not the same this may
<DIV></DIV>&gt; &gt; be
<DIV></DIV>&gt; &gt; &gt; required. Its always
<DIV></DIV>&gt; &gt; &gt; better to check the
condition, if we are exceeding
<DIV></DIV>&gt; &gt; &gt; the limit and accordingly
<DIV></DIV>&gt; &gt; &gt; take action to get over any
such a case.
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; Section 2.3 states that the
flooding modification
<DIV></DIV>&gt; &gt; &gt; would only be invoked
<DIV></DIV>&gt; &gt; &gt; during a &quot;short period
of convergence&quot; for same
<DIV></DIV>&gt; &gt; &gt; value of LSDBLimit. Such a
<DIV></DIV>&gt; &gt; &gt; case would only occur say
when two routers are
<DIV></DIV>&gt; &gt; &gt; symultaneously originating
<DIV></DIV>&gt; &gt; &gt; AS-External LSA's. So when
they are originating
<DIV></DIV>&gt; &gt; the
<DIV></DIV>&gt; &gt; &gt; LSA's the LSDB limit is
<DIV></DIV>&gt; &gt; &gt; not exceeded however when
they are receiving the
<DIV></DIV>&gt; &gt; &gt; LSA's from the other the
<DIV></DIV>&gt; &gt; &gt; LSDB limit is exceeded.
However as the RFC states
<DIV></DIV>&gt; &gt; &gt; this would be a transient
<DIV></DIV>&gt; &gt; &gt; condition.
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; Thanks,
<DIV></DIV>&gt; &gt; &gt; Vishwas
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; -----Original Message-----
<DIV></DIV>&gt; &gt; &gt; From: Amit Srivastava
[mailto:[email-masked]]
<DIV></DIV>&gt; &gt; &gt; Sent: Thursday, June 20,
2002 10:24 AM
<DIV></DIV>&gt; &gt; &gt; To:
[email-masked]
<DIV></DIV>&gt; &gt; &gt; Subject: Re: OSPF
Retransmission Doubt
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; Hi Vishwas,
<DIV></DIV>&gt; &gt; &gt; I have a small doubt .If u
refer to section 2.2
<DIV></DIV>&gt; &gt; &gt; and
<DIV></DIV>&gt; &gt; &gt; 2.3 of RFC 1765 it states
that during flooding
<DIV></DIV>&gt; &gt; also
<DIV></DIV>&gt; &gt; &gt; the variable count of
non-default AS_external LSA
<DIV></DIV>&gt; &gt; is
<DIV></DIV>&gt; &gt; &gt; incremented( if we receive a
non-default
<DIV></DIV>&gt; &gt; AS-external
<DIV></DIV>&gt; &gt; &gt; LSA during flooding).But if
we have a common
<DIV></DIV>&gt; &gt; thresh
<DIV></DIV>&gt; &gt; &gt; hold limit i.e variable
ospfExtlsdbLimit is same
<DIV></DIV>&gt; &gt; for
<DIV></DIV>&gt; &gt; &gt; all the router how come this
condition will be
<DIV></DIV>&gt; &gt; &gt; encountered???
<DIV></DIV>&gt; &gt; &gt; Regards
<DIV></DIV>&gt; &gt; &gt; Amit
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; --- &quot;Manral,
Vishwas&quot;<[email-masked]>
<DIV></DIV>&gt; &gt; wrote:
<DIV></DIV>&gt; &gt; &gt; &gt; Hi Amit,
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; I do not think any RFC
which talks about
<DIV></DIV>&gt; &gt; &gt; non-default
<DIV></DIV>&gt; &gt; &gt; &gt; type-3 LSA's exists.
<DIV></DIV>&gt; &gt; &gt; &gt; The RFC1765 only talks
about type-5 LSA's
<DIV></DIV>&gt; &gt; however
<DIV></DIV>&gt; &gt; &gt; it
<DIV></DIV>&gt; &gt; &gt; &gt; could be extended for
<DIV></DIV>&gt; &gt; &gt; &gt; other type of LSA's
i.e. type-7, type-11.
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Thanks,
<DIV></DIV>&gt; &gt; &gt; &gt; Vishwas
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; -----Original
Message-----
<DIV></DIV>&gt; &gt; &gt; &gt; From: Amit Srivastava
<DIV></DIV>&gt; &gt; [mailto:[email-masked]]
<DIV></DIV>&gt; &gt; &gt; &gt; Sent: Wednesday, June
19, 2002 11:43 AM
<DIV></DIV>&gt; &gt; &gt; &gt; To:
[email-masked]
<DIV></DIV>&gt; &gt; &gt; &gt; Subject: Re: OSPF
Retransmission Doubt
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Hi Erblich and Vishwas,
<DIV></DIV>&gt; &gt; &gt; &gt; Erblich I got your
point but is there any
<DIV></DIV>&gt; &gt; &gt; &gt; Draft or RFC which
<DIV></DIV>&gt; &gt; &gt; &gt; states
<DIV></DIV>&gt; &gt; &gt; &gt; this??
<DIV></DIV>&gt; &gt; &gt; &gt; And Vishwas thanks for
your help i would
<DIV></DIV>&gt; &gt; also
<DIV></DIV>&gt; &gt; &gt; &gt; like to know if
<DIV></DIV>&gt; &gt; &gt; &gt; there is any draft
which states that we can
<DIV></DIV>&gt; &gt; &gt; withdraw
<DIV></DIV>&gt; &gt; &gt; &gt; Summary 3 and 4
<DIV></DIV>&gt; &gt; &gt; &gt; non-default LSA.Because
The RFC 2370 specks very
<DIV></DIV>&gt; &gt; &gt; &gt; little about it.
<DIV></DIV>&gt; &gt; &gt; &gt; Regards
<DIV></DIV>&gt; &gt; &gt; &gt; Amit
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Amit
Srivastava<[email-masked]> wrote:
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Hi Vishwas!
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Actually after reading
the RFC 1765
<DIV></DIV>&gt; &gt; only
<DIV></DIV>&gt; &gt; &gt; i
<DIV></DIV>&gt; &gt; &gt; &gt; got this doubt.Here i
<DIV></DIV>&gt; &gt; &gt; &gt; feel once the
OSPFEXTLSDBLinit variable is
<DIV></DIV>&gt; &gt; &gt; exceeded
<DIV></DIV>&gt; &gt; &gt; &gt; the router should
<DIV></DIV>&gt; &gt; &gt; &gt; indicate other routers
that its database is full
<DIV></DIV>&gt; &gt; &gt; and
<DIV></DIV>&gt; &gt; &gt; &gt; they should not keep on
<DIV></DIV>&gt; &gt; &gt; &gt; retransmitting the LSA
which will clog the n/w
<DIV></DIV>&gt; &gt; &gt; &gt; bandwidth.Once the
router
<DIV></DIV>&gt; &gt; &gt; &gt; comes out of the
database overflow state it
<DIV></DIV>&gt; &gt; should
<DIV></DIV>&gt; &gt; &gt; &gt; indicate to the other
<DIV></DIV>&gt; &gt; &gt; &gt; router that now they
should send the LSA.
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; What do you say about
this??
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Regards
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Amit
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; &quot;Manral,
Vishwas&quot;<[email-masked]>
<DIV></DIV>&gt; &gt; wrote:
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Hi Amit,
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; You may like to look at
the RFC1765 - OSPF
<DIV></DIV>&gt; &gt; &gt; Database
<DIV></DIV>&gt; &gt; &gt; &gt; Overflow.
<DIV></DIV>&gt; &gt; &gt; &gt;
http://www.ietf.org/rfc/rfc1765.txt This RFC
<DIV></DIV>&gt; &gt; tells
<DIV></DIV>&gt; &gt; &gt; a
<DIV></DIV>&gt; &gt; &gt; &gt; way to deal with such
<DIV></DIV>&gt; &gt; &gt; &gt; overflow when it occurs
in OSPF.
<DIV></DIV>&gt; &gt; &gt; &gt;
<DIV></DIV>&gt; &gt; &gt; &gt; Also as the RFC lists
as enhancements, if the
<DIV></DIV>&gt; &gt; &gt; number
<DIV></DIV>&gt; &gt; &gt; &gt; of summary LSA's
<DIV></DIV>&gt; &gt;
<DIV></DIV>&gt;=== message truncated ===
<DIV></DIV>&gt;
<DIV></DIV>&gt;
<DIV></DIV>&gt;__________________________________________________
<DIV></DIV>&gt;Do You Yahoo!?
<DIV></DIV>&gt;Yahoo! - Official partner of 2002 FIFA
World Cup
<DIV></DIV>&gt;http://fifaworldcup.yahoo.com
<DIV></DIV></div><br clear=all><hr>Get your FREE
download of MSN Explorer at <a
href='http://g.msn.com/1HM503401/37'>http://explorer.msn.com</a>.<br></html>